NCARGEX(1NCARG)

NAME
ncargex - NCAR Graphics Fortran and C Low-Level Utility Examples

SYNOPSIS
ncargex [-A] [-E] [-F] [-P] [-T]
[-U] [-C] [-Fortran] [-class] [-ps]
[-x11] [-W workstation_type] [-areas]
[-autograph] [-bivar] [-colconv] [-conpack]
[-conpackt] [-conran_family] [-conrec_family]
[-csagrid] [-cssgrid] [-dashline] [-dashpack]
[-dsgrid] [-ezmap] [-field_flow] [-fitgrid]
[-gflash] [-gks] [-gridall] [-halftone]
[-histogram] [-isosrfhr] [-isosurface] [-labelbar]
[-natgrid] [-ngmath] [-ngmisc] [-plotchar]
[-polypack] [-pwrite_family] [-scrolled_title]
[-seter] [-shgrid] [-softfill] [-spps]
[-streamlines] [-surface] [-tdpack] [-threed]
[-vaspackt] [-vectors] [-wmap] [-misc]
[-clean] [-n] [-ncarbd] [-noX11] [-onebyone]
example_name ...

DESCRIPTION
ncargex provides the user with access to over 300 complete example NCAR Graphics Fortran and C source codes, including the examples in the NCAR Graphics Tutorial. ncargex copies the source code for the specified example(s) into the current directory and then compiles, links, and executes the example. Depending on the type of workstation specified on the command line, the output may either be an NCGM (NCAR Graphics Metafile) file, one of many types of PostScript files, or a text dump. It is also possible for no output to be produced if you select the "x11" workstation, in which case each frame is displayed directly to a separate X window after it is generated. If no workstation is specified on the command line, then it defaults to an "NCGM", unless the example is a special one which is discussed below.

If you select one of the workstation types that produces an output file, then the file name will have the same name as the example and ending with an appropriate suffix: ".ncgm", ".txt", ".ps", etc.

Certain examples were created to demonstrate a particular function, like how to rename your metafile from within the program, how to use the full page when going to PostScript output, how to use the X11 driver and produce a graphic file at the same time, etc. If the example that you ask for is one of these, a message will be printed to this effect to alert you.

In order to run ncargex, you must have your NCARG_ROOT environment variable set to the parent directory where the NCAR Graphics libraries, binaries, and include files were installed. If this environment variable is not set, ncargex will attempt to set it for you. If the NCAR Graphics libraries, binaries, and include files were not installed under one parent directory, then you will need to set the environment variables NCARG_LIB, NCARG_BIN, and NCARG_INCLUDE instead. Please see "man ncargintro" for more information.

OPTIONS

1   -W workstation_type Specify the workstation type. This argument can be specified as a number or as a string, where the number has the same value you would use in a call to GOPWK. The following numbers are valid:

1   - NCGM

8   - X11 window.

10  - text dump of graphics output.

20  - color PostScript in portrait mode.

21  - color Encapsulated PostScript (EPS) in portrait mode.

22  - color Encapsulated PostScript Interchange format (EPSI) in portrait mode.

23  - monochrome PostScript in portrait mode.

24  - monochrome Encapsulated PostScript (EPS) in portrait mode.

25  - monochrome Encapsulated PostScript Interchange format (EPSI) in portrait mode.

26  - color PostScript in landscape mode.

27  - color Encapsulated PostScript (EPS) in landscape mode.

28  - color Encapsulated PostScript Interchange format (EPSI) in landscape mode.

29  - monochrome PostScript in landscape mode.

30  - monochrome Encapsulated PostScript (EPS) in landscape mode.

31  - monochrome Encapsulated PostScript Interchange format (EPSI) in landscape mode.

    If you want to specify the workstation as a string, then there are a few ways this can be done. For example, the following workstation types are valid:

ncgm
    - NCGM

x11 - X11 window

text
    - text dump of graphics output

    For PostScript output, there are more attributes: the type of PostScript you file want ("ps", "eps", or "epsi"), whether you want color or monochrome ("color" or "mono"), and whether you want portrait or landscape mode ("port" or "land"). The orientation and the color preference can be omitted (as they will will default to "port" and "color" respectively), but you must specify the PostScript file type. Each attribute can be entered in any order, separated by periods. The following are examples of valid PostScript workstation types:

ps.color
    - color PostScript in portrait mode.

land.eps.mono
    - monochrome Encapsulated PostScript format (EPS) in landscape mode.

epsi
    - color Encapsulated PostScript Interchange format (EPSI) in portrait mode.

port.mono.ps
    - monochrome PostScript in portrait mode.

    Any combination of these three types of attributes can be used, as long as one of them is the PostScript file type.

-A  Generate all available C/Fortran examples, tests, programmer doc, fundamental and tutorial examples.

-E  Generate all available C/Fortran examples.

-F  Generate all available fundamental C/Fortran examples.

-P  Generate all available programmer doc C/Fortran examples.

-T  Generate all available tests.

-U  Generate all available tutorial C/Fortran examples.

-C  Generate all available C examples.

-Fortran
    Generate all available Fortran examples.

-class
    Generate all available class C/Fortran examples.

-ps Generate all C/Fortran examples that use the PostScript driver.

-x11
    Generate all C/Fortran examples that use the X11 driver.

-areas
    Generate all Areas C/Fortran examples.

-autograph
    Generate all Autograph C/Fortran examples.

-bivar
    Generate all bivar C/Fortran examples.

-colconv
    Generate all Colconv C/Fortran examples.

-conpack
    Generate all Conpack C/Fortran examples.

-conpackt
    Generate all Conpackt C/Fortran examples.

-conran_family
    Generate all Conran Fortran examples.

-conrec_family
    Generate all Conrec Fortran examples.

-csagrid
    Generate all Ngmath Csagrid C/Fortran examples.

-cssgrid
    Generate all Ngmath Cssgrid C/Fortran examples.

-dashline
    Generate all Dashline C/Fortran examples.

-dashpack
    Generate all Dashpack C/Fortran examples.

-dsgrid
    Generate all Ngmath Dsgrid C/Fortran examples.

-ezmap
    Generate all Ezmap C/Fortran examples.

-field_flow
    Generate all Field_flow C/Fortran examples. Includes streamlines and vectors examples.

-fitgrid
    Generate all Ngmath Fitgrid C/Fortran examples.

-gflash
    Generate all Gflash C/Fortran examples.

-gks
    Generate all GKS C/Fortran examples.

-gridall
    Generate all Gridall C/Fortran examples.

-halftone
    Generate all Halftone Fortran examples.

-histogram
    Generate all Histogram C/Fortran examples.

-isosrfhr
    Generate all Isosrfhr Fortran examples.

-isosurface
    Generate all Isosurface C/Fortran examples.

-labelbar
    Generate all Labelbar C/Fortran examples.

-natgrid
    Generate all Ngmath Natgrid C/Fortran examples.

-ngmath
    Generate all Ngmath C/Fortran examples.

-ngmisc
    Generate all Ngmisc C/Fortran examples.

-plotchar
    Generate all Plotchar C/Fortran examples.

-polypack
    Generate all Polypack C/Fortran examples.

-pwritx_family
    Generate all Pwrite Fortran examples.

-scrolled_title
    Generate all Scrolled title C/Fortran examples.

-seter
    Generate all Seter C/Fortran examples.

-shgrid
    Generate all Ngmath Shgrid C/Fortran examples.

-softfill
    Generate all Softfill C/Fortran examples.

-spps
    Generate all SPPS C/Fortran examples.

-streamlines
    Generate all Streamlines C/Fortran examples.

-surface
    Generate all Surface C/Fortran examples.

-tdpack
    Generate all Tdpack C/Fortran examples.

-threed
    Generate all Threed C/Fortran examples.

-vaspackt
    Generate all Vaspackt C/Fortran examples.

-vectors
    Generate all Vectors C/Fortran examples.

-wmap
    Generate all Weather map C/Fortran examples.

-misc
    Generate all miscellaneous C/Fortran examples.

-clean
    Remove everything but the ".ncgm" file.

-n  Specifies that the example should not be compiled, linked, or run, but just copied into your local directory.

-ncarbd
    Use this option for compilers that appear to be having trouble initializing blockdata variables. It will cause one or two small subroutines to be linked in that helps force the loading of blockdata initialization routines.

-ngmathbd
    Use this option for compilers that appear to be having trouble initializing blockdata variables. It will cause a small subroutine to be linked in that helps force the loading of blockdata initialization routines.

    Note: this option doesn't need to be specified separately if you are already including the -ncarbd and -ngmath options.

-noX11
    Do not link in the X library when linking the selected examples and/or tests. A stub will be linked instead.

-onebyone
    Specifies that the selected examples and/or tests should be generated one at a time and viewed as they are generated. This is intended for use during testing of new releases at NCAR.

    Below is a list of all the available ncargex examples. They are listed according to which utility they belong with.

EXAMPLES AVAILABLE

AREAS Examples:

arex01 arex02 arex03 cardb1 cardb2 caredg carfill carline carmap tareas c_tareas

AUTOGRAPH Examples:

agdp01 agex01 agex02 agex03 agex04 agex05 agex06 agex07 agex08 agex09 agex10 agex11 agex12 agex13 fagaxclr fagaxlbl fagaxmax fagcuclr fagcudsh fagezmxy fagezmy fagezxy fagezy fagilclr fagovrvw tagupw tautog c_agex07

BIVAR Examples:

cbex01 cidsfft c_cbex01

COLCONV Examples:

coex01 coex02 coex03 fcce01 fcce02 tcolcv c_coex02

CONPACK Examples:

cbex01 ccpback ccpcff ccpcfx ccpcica ccpcir ccpcis ccpcit ccpclc ccpcld ccpcldm ccpcldr ccpcll ccpclu ccpcnrc ccpdflt ccpezct ccpfil ccpga ccphand ccphcf ccphl ccphlt ccpila ccpils ccpilt ccpklb ccplbam ccplbdr ccpline ccpllb ccpllc ccplll ccpllo ccpllp ccpllt ccpllw ccpmap ccpmovi ccpmpxy ccpncls ccpnet ccpnof ccpnsd ccppc ccppc1 ccppc2 ccppc3 ccppc4 ccppkcl ccppole ccprc ccprect ccprwc ccprwu ccpscam ccpset ccpsps1 ccpsps2 ccpspv ccpt2d ccptitle ccpvp ccpvs cidsfft colcon cpex01 cpex02 cpex03 cpex04 cpex05 cpex06 cpex07 cpex08 cpex09 cpex10 cpex11 cpex12 cpex13 cpex14 cpex15 cpex16 tconpa c_cbex01 c_colcon

CONPACKT Examples:

ctcbay ctex01 ctex02 ctfite ctgaus ctgc23 ctgeo1 ctgeo2 ctgeo3 ctiscp ctisc2 ctllg1 ctllg2 ctllg3 ctnccl ctorca ctpopg ctswth ctterr ctwng1 ctwng2 cttd01 cttd02 c_ctllg3

CONRAN FAMILY Examples:

tconan tconaq tconas

CONREC FAMILY Examples:

tcnqck tcnsmt tcnsup tconre

CSAGRID Examples:

csex01 csex02 csex03 csex04 csex05 csex06 csex07 c_csex01 c_csex02 c_csex03 c_csex04 c_csex05 c_csex06 c_csex07

CSSGRID Examples:

cssex01 cssex02 cssex03 c_cssex01 c_cssex02 c_cssex03

DASHLINE Examples:

fdlcurvd fdldashc fdldashd fdlsmth tdashc tdashl tdashp tdashs c_fdldashc

DASHPACK Examples:

tdshpk c_tdshpk

DSGRID Examples:

dsex01 dsex01d dsex02 dsex03 dsex04 dsex05 dsex06 c_dsex01 c_dsex01d c_dsex02 c_dsex03 c_dsex04 c_dsex05 c_dsex06

EZMAP Examples:

cezmap1 cezmap2 cezmap3 cmpclr cmpdd cmpdrw cmpel cmpfil cmpgci cmpgrd cmpgrp cmpita cmpitm cmplab cmplbl cmplot cmpmsk cmpou cmppos cmpsat cmpsup cmptit cmptra cmpusr eezmpa mpex01 mpex02 mpex03 mpex04 mpex05 mpex06 mpex07 mpex08 mpex09 mpex10 mpex11 mpex12 mpex13 mpex14 mpex15 mpexfi tezmap tezmpa tezmpb c_mpex05 c_eezmpa c_eezmpb

FIELD FLOW Examples:

ffex00 ffex01 ffex02 ffex03 ffex04 ffex05 fcover fstream stex01 stex02 stex03 vvex01 vvex02 vvex03 c_ffex03 c_vvex03

FITGRID Examples:

ftex01 ftex02 ftex03 ftex04 ftex05 ftex06 c_ftex01 c_ftex02 c_ftex03 c_ftex04 c_ftex05 c_ftex06

GFLASH Example:

tgflas c_tgflas

GKS Examples:

fcell fcell0 fgke01 fgke02 fgke03 fgke04 fgkgpl fgkgpm fgkgtx fgklnclr fgklnwth fcirc fgpm01 pgkex01 pgkex02 pgkex03 pgkex04 pgkex05 pgkex06 pgkex07 pgkex08 pgkex09 pgkex10 pgkex11 pgkex12 pgkex13 pgkex14 pgkex15 pgkex16 pgkex17 pgkex18 pgkex19 pgkex20 pgkex21 pgkex22 pgkex23 pgkex24 pgkex25 pgkex26 pgkex27 c_gtxpac c_pgkex21

GRIDALL Example:

ccpga tgrida c_tgrida

HALFTONE Example:

thafto

HISTOGRAM Examples:

thstgr thstmv c_thstmv

ISOSRFHR Example:

tisohr

ISOSURFACE Examples:

fisissrf fispwrzi tisosr tpwrzi c_tisosr

LABELBAR Examples:

elblba tlblba clbfil clbbar clblbr c_elblba

NATGRID Examples:

nnex01 nnex01d nnex02 nnex03 nnex04 nnex05 nnex06 nnex07 nnex08 nnex09 c_nnex01 c_nnex01d c_nnex02 c_nnex03 c_nnex06

NGMATH Examples:

csex01 csex02 csex03 csex04 csex05 csex06 csex07 cssex01 cssex02 cssex03 dsex01 dsex01d dsex02 dsex03 dsex04 dsex05 dsex06 ftex01 ftex02 ftex03 ftex04 ftex05 ftex06 nnex01 nnex01d nnex02 nnex03 nnex04 nnex05 nnex06 nnex07 nnex08 nnex09 shex01 shex02 shex03 c_csex01 c_csex02 c_csex03 c_csex04 c_csex05 c_csex06 c_csex07 c_cssex01 c_cssex02 c_cssex03 c_dsex01 c_dsex01d c_dsex02 c_dsex03 c_dsex04 c_dsex05 c_dsex06 c_ftex01 c_ftex02 c_ftex03 c_ftex04 c_ftex05 c_ftex06 c_nnex01 c_nnex01d c_nnex02 c_nnex03 c_nnex06 c_shex01 c_shex02 c_shex03

NGMISC Examples:

fngngdts fngwsym c_fngwsym

PLOTCHAR Examples:

epltch fpchiqu fpcloqu fpcfonts tpltch c_epltch

POLYPACK Examples:

ppex01 tppack c_ppex01

PWRITE FAMILY Examples:

tpwrtx tpwry

SCROLLED TITLE Examples:

fslfont slex01 slex02 tstitl c_slex01

SETER Examples:

tseter

SHGRID Examples:

shex01 shex02 shex03 c_shex01 c_shex02 c_shex03

SOFTFILL Examples:

fsfsgfa fsfwrld sfex01 sfex02 tsoftf c_sfex02

SPPS Examples:

fcoord fcoord1 fcoord2 fspcurve fspline fsppoint fspponts splogy sprevx c_fcoord2

STREAMLINES Examples:

fstream ffex00 ffex01 ffex03 ffex04 stex01 stex02 stex03 tstrml c_ffex03

SURFACE Examples:

fsrezsrf fsrpwrzs fsrsrfac srex01 tsrfac tpwrzs c_srex01

TDPACK Examples:

tdex01 tdex02 tdex03 tdex04 tdex05 tdex06 tdex07 tdex08 c_tdex01 c_tdex03

THREED Examples:

fthex01 fthex02 fthex03 fthex04 fthex05 tthree tpwrzt c_fthex01

VECTORS Examples:

ffex00 ffex01 ffex02 ffex05 fcover tvelvc vvex01 vvex02 vvex03 c_vvex03

WEATHER MAP Examples:

wmex01 wmex02 wmex03 wmex04 wmex05 wmex06 wmex07 wmex08 wmex09 wmex10 wmex11 wmex12 wmex13 wmex14 wmex15 c_wmex09

Miscellaneous Examples:

bnchmk example ncargworld

X11 Examples:

fgke01 fgke04 c_xwndws

SEE ALSO
Online: ncargf77(1NCARG), ncargcc(1NCARG), ncargfile(1NCARG), ng4ex(1NCARG), ncarg_cbind(5NCARG), ncargintro(5NCARG)

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2002
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.